summaryrefslogtreecommitdiffstats
path: root/source/x/libva-intel-driver
diff options
context:
space:
mode:
Diffstat (limited to '')
-rwxr-xr-xsource/x/libva-intel-driver/libva-intel-driver.SlackBuild (renamed from source/l/qca-ossl/qca-ossl.SlackBuild)81
-rw-r--r--source/x/libva-intel-driver/libva-intel-driver.url1
-rw-r--r--source/x/libva-intel-driver/slack-desc19
3 files changed, 64 insertions, 37 deletions
diff --git a/source/l/qca-ossl/qca-ossl.SlackBuild b/source/x/libva-intel-driver/libva-intel-driver.SlackBuild
index c1fbcc95f..17d51e9a5 100755
--- a/source/l/qca-ossl/qca-ossl.SlackBuild
+++ b/source/x/libva-intel-driver/libva-intel-driver.SlackBuild
@@ -1,6 +1,9 @@
#!/bin/sh
-# Copyright 2006, 2008, 2009, 2010, 2012 Patrick J. Volkerding, Sebeka, MN, USA
+# Slackware build script for libva-intel-driver
+
+# Copyright 2015 Heinz Wiesinger, Amsterdam, The Netherlands
+# Copyright 2015 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -20,75 +23,79 @@
# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-# Modified by Robby Workman <rworkman@slackware.com> for qca-ossl-2.0.0
-# No additional license terms and no copyright claim
-
-
-PKGNAM=qca-ossl
-VERSION=2.0.0_beta3
-BUILD=${BUILD:-2}
+PKGNAM=libva-intel-driver
+VERSION=${VERSION:-$(echo libva-intel-driver-*.tar.?z* | rev | cut -f 3- -d . | cut -f 1 -d- | rev)}
+BUILD=${BUILD:-1}
-# Automatically determine the architecture we're building on:
if [ -z "$ARCH" ]; then
case "$( uname -m )" in
- i?86) export ARCH=i486 ;;
- arm*) export ARCH=arm ;;
- # Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$( uname -m ) ;;
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
esac
fi
-CWD=$(pwd)
-TMP=${TMP:-/tmp}
-PKG=$TMP/package-${PKGNAM}
+NUMJOBS=${NUMJOBS:--j6}
-if [ "$ARCH" = "i486" ]; then
- SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "s390" ]; then
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
elif [ "$ARCH" = "x86_64" ]; then
SLKCFLAGS="-O2 -fPIC"
- LIBDIRSUFFIX=""
+ LIBDIRSUFFIX="64"
else
SLKCFLAGS="-O2"
LIBDIRSUFFIX=""
fi
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
-rm -rf $PKGNAM-$(echo $VERSION | tr _ -)
-tar xvf $CWD/$PKGNAM-$(echo $VERSION | tr _ -).tar.bz2 || exit 1
-cd $PKGNAM-$(echo $VERSION | tr _ -) || exit 1
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+cd $PKGNAM-$VERSION || exit 1
chown -R root:root .
-# Fix a compilation error with our new openssh:
-zcat $CWD/qca-ossl-openssl-1.0.0.patch.gz | patch -p1 --verbose || exit 1
-find . \
- \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 -o -perm 511 \) \
-exec chmod 755 {} \; -o \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+# These fix a mandatory check for wayland-scanner:
+mkdir -p m4
+autoreconf -fi
+
CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
-./configure
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PKGNAM-$VERSION \
+ --enable-shared \
+ --disable-static \
+ --build=$ARCH-slackware-linux || exit 1
-make \
- CFLAGS="$SLKCFLAGS" \
- CXXFLAGS="$SLKCFLAGS"
-make install INSTALL_ROOT=$PKG
+make $NUMJOBS || make || exit 1
+make install-strip DESTDIR=$PKG || exit 1
-find $PKG | xargs file | grep -e "executable" -e "shared object" \
- | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
-mkdir -p $PKG/usr/doc/$PKGNAM-$(echo $VERSION | tr - _)
-cp -a COPYING README TODO $PKG/usr/doc/$PKGNAM-$(echo $VERSION | tr - _)
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a AUTHORS COPYING* NEWS README* $PKG/usr/doc/$PKGNAM-$VERSION
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
cd $PKG
-/sbin/makepkg -l y -c n $TMP/$PKGNAM-$(echo $VERSION | tr - _)-$ARCH-$BUILD.txz
-
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
diff --git a/source/x/libva-intel-driver/libva-intel-driver.url b/source/x/libva-intel-driver/libva-intel-driver.url
new file mode 100644
index 000000000..57fcc6bda
--- /dev/null
+++ b/source/x/libva-intel-driver/libva-intel-driver.url
@@ -0,0 +1 @@
+http://www.freedesktop.org/software/vaapi/releases/libva-intel-driver/
diff --git a/source/x/libva-intel-driver/slack-desc b/source/x/libva-intel-driver/slack-desc
new file mode 100644
index 000000000..25a413911
--- /dev/null
+++ b/source/x/libva-intel-driver/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+libva-intel-driver: libva-intel-driver (VA driver for Intel G45 & HD Graphics family)
+libva-intel-driver:
+libva-intel-driver: libva-intel-driver is the VA-API implementation for Intel G45
+libva-intel-driver: chipsets and Intel HD Graphics for Intel Core processor family.
+libva-intel-driver:
+libva-intel-driver: Website: http://www.freedesktop.org/wiki/Software/vaapi
+libva-intel-driver:
+libva-intel-driver:
+libva-intel-driver:
+libva-intel-driver:
+libva-intel-driver: